# Enum Class InquireType

java.lang.Object
java.lang.Enum<InquireType>
com.sun.security.jgss.InquireType

All Implemented Interfaces:
  `Serializable, Comparable<InquireType>, Constable`

public enum InquireType extends Enum<InquireType>
Attribute types that can be specified as an argument of `ExtendedGSSContext.inquireSecContext(InquireType)`

Since:
  1.7

## Nested Class Summary

### Nested classes/interfaces declared in class Enum

`Enum.EnumDesc<E>`
Modifier and Type
Class
Description
`static final class`
`Enum.EnumDesc<E extends Enum<E>>`
A nominal descriptor for an `enum` constant.

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`KRB5_GET_AUTHTIME`
Attribute type for retrieving the authtime in the service ticket of an established Kerberos 5 security context.
`KRB5_GET_AUTHZ_DATA`
Attribute type for retrieving the authorization data in the service ticket of an established Kerberos 5 security context.
`KRB5_GET_KRB_CRED`
Attribute type for retrieving the KRB_CRED message that an initiator is about to send to an acceptor.
`KRB5_GET_SESSION_KEY`
Deprecated.
as of 9, replaced by `KRB5_GET_SESSION_KEY_EX` which returns an instance of `EncryptionKey` that implements the `SecretKey` interface and has similar methods with `KerberosKey`.
`KRB5_GET_SESSION_KEY_EX`
Attribute type for retrieving the session key of an established Kerberos 5 security context.
`KRB5_GET_TKT_FLAGS`
Attribute type for retrieving the service ticket flags of an established Kerberos 5 security context.

## Method Summary

Modifier and Type
Method
Description
`static InquireType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InquireType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`
Modifier and Type
Method
Description
`protected final Object`
`clone()`
Throws CloneNotSupportedException.
`final int`
`compareTo(InquireType o)`
Compares this enum with the specified object for order.
`final Optional<Enum.EnumDesc<InquireType>>`
`describeConstable()`
Returns an enum descriptor `EnumDesc` for this instance, if one can be constructed, or an empty `Optional` if one cannot be.
`final boolean`
`equals(Object other)`
Returns true if the specified object is equal to this enum constant.
`protected final void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization has been deprecated for removal.
`final Class<InquireType>`
`getDeclaringClass()`
Returns the Class object corresponding to this enum constant's enum type.
`final int`
`hashCode()`
Returns a hash code for this enum constant.
`final String`
`name()`
Returns the name of this enum constant, exactly as declared in its enum declaration.
`final int`
`ordinal()`
Returns the ordinal of this enumeration constant (its position in its enum declaration, where the initial constant is assigned an ordinal of zero).
`String`
`toString()`
Returns the name of this enum constant, as contained in the declaration.
`static <T extends Enum<T>>
T`
`valueOf(Class<T> enumClass, String name)`
Returns the enum constant of the specified enum class with the specified name.

### Methods declared in class Object

`getClass, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Enum Constant Details

### KRB5_GET_SESSION_KEY

@Deprecated public static final InquireType KRB5_GET_SESSION_KEY
Deprecated.
as of 9, replaced by `KRB5_GET_SESSION_KEY_EX` which returns an instance of `EncryptionKey` that implements the `SecretKey` interface and has similar methods with `KerberosKey`.
Attribute type for retrieving the session key of an established Kerberos 5 security context. The returned object is an instance of `Key`, which has the following properties:

- Algorithm: enctype as a string, where enctype is defined in RFC 3961, section 8.
- Format: "RAW"
- Encoded form: the raw key bytes, not in any ASN.1 encoding

### KRB5_GET_SESSION_KEY_EX

public static final InquireType KRB5_GET_SESSION_KEY_EX
Attribute type for retrieving the session key of an established Kerberos 5 security context. The return value is an instance of `EncryptionKey`.

Since:
  9

### KRB5_GET_TKT_FLAGS

public static final InquireType KRB5_GET_TKT_FLAGS
Attribute type for retrieving the service ticket flags of an established Kerberos 5 security context. The returned object is a boolean array for the service ticket flags, which is long enough to contain all true bits. This means if the user wants to get the n'th bit but the length of the returned array is less than n, it is regarded as false.

### KRB5_GET_AUTHZ_DATA

public static final InquireType KRB5_GET_AUTHZ_DATA
Attribute type for retrieving the authorization data in the service ticket of an established Kerberos 5 security context. Only supported on the acceptor side.

### KRB5_GET_AUTHTIME

public static final InquireType KRB5_GET_AUTHTIME
Attribute type for retrieving the authtime in the service ticket of an established Kerberos 5 security context. The returned object is a String object in the standard KerberosTime format defined in RFC 4120 Section 5.2.3.

### KRB5_GET_KRB_CRED

public static final InquireType KRB5_GET_KRB_CRED
Attribute type for retrieving the KRB_CRED message that an initiator is about to send to an acceptor. The return type is an instance of `KerberosCredMessage`.

Since:
  9

## Method Details

### values

public static InquireType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static InquireType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null